Data Fields

# arm_fir_sparse_instance_q7 Struct Reference

Instance structure for the Q7 sparse FIR filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numTaps
uint16_t | stateIndex
q7_t * | pState
q7_t * | pCoeffs
uint16_t | maxDelay
int32_t * | pTapDelay

## Detailed Description

Instance structure for the Q7 sparse FIR filter.

Definition at line 4361 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_sparse_instance_q7::numTaps

number of coefficients in the filter.

Definition at line 4363 of file arm_math.h.

uint16_t arm_fir_sparse_instance_q7::stateIndex

state buffer index. Points to the oldest sample in the state buffer.

Definition at line 4364 of file arm_math.h.

q7_t* arm_fir_sparse_instance_q7::pState

points to the state buffer array. The array is of length maxDelay+blockSize-1.

Definition at line 4365 of file arm_math.h.

q7_t* arm_fir_sparse_instance_q7::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 4366 of file arm_math.h.

uint16_t arm_fir_sparse_instance_q7::maxDelay

maximum offset specified by the pTapDelay array.

Definition at line 4367 of file arm_math.h.

int32_t* arm_fir_sparse_instance_q7::pTapDelay

points to the array of delay values. The array is of length numTaps.

Definition at line 4368 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines